
ALTER TABLE [dbo].[ort_reporteTecnico]  
ALTER COLUMN trabajos varchar(4000) null
ALTER TABLE [dbo].[ort_reporteTecnico]  
ALTER COLUMN compromisos varchar(4000) null
ALTER TABLE [dbo].[ort_reporteTecnico]  
ALTER COLUMN recomendaciones varchar(4000) null


----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_ort_reporteTecnico]') AND type in (N'P', N'PC'))
DROP PROCEDURE [upd_ort_reporteTecnico]
GO
CREATE PROCEDURE [upd_ort_reporteTecnico]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_reporteTecnico varchar(300) = null,
		@p_reporteTecnico_codigo varchar(100) = null,
		@p_numero varchar(100) = null,
		@p_trabajos varchar(4000) = null,
		@p_recomendaciones varchar(4000) = null,
		@p_compromisos varchar(4000) = null,
		@p_id_gasto int = null
AS
BEGIN
		UPDATE [ort_reporteTecnico]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[reporteTecnico] = isnull(@p_reporteTecnico,[reporteTecnico]),
			[reporteTecnico_codigo] = isnull(@p_reporteTecnico_codigo,[reporteTecnico_codigo]),
			[numero] = isnull(@p_numero,[numero]),
			[trabajos] = isnull(@p_trabajos,[trabajos]),
			[recomendaciones] = isnull(@p_recomendaciones,[recomendaciones]),
			[compromisos] = isnull(@p_compromisos,[compromisos]),
			[id_gasto] = isnull(@p_id_gasto,[id_gasto])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_ort_reporteTecnico]') AND type in (N'P', N'PC'))
DROP PROCEDURE [ins_ort_reporteTecnico]
GO
CREATE PROCEDURE [ins_ort_reporteTecnico]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_reporteTecnico varchar(300),
		@p_reporteTecnico_codigo varchar(100),
		@p_numero varchar(100),
		@p_trabajos varchar(4000),
		@p_recomendaciones varchar(4000),
		@p_compromisos varchar(4000),
		@p_id_gasto int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [ort_reporteTecnico]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[reporteTecnico],
			[reporteTecnico_codigo],
			[numero],
			[trabajos],
			[recomendaciones],
			[compromisos],
			[id_gasto])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_reporteTecnico,
			@p_reporteTecnico_codigo,
			@p_numero,
			@p_trabajos,
			@p_recomendaciones,
			@p_compromisos,
			@p_id_gasto)
		SET @v_id = scope_identity()
UPDATE [ort_reporteTecnico] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

----------------------
print 'ort_reporteTecnico'
-----------------------------------22/08/2014 11:39:15 a.m.